package cn.com.poc.thirdparty.resource.text_in.entity.doc_flow.fileFetchResponse;

import java.util.List;

/**
 * TextInLines，字段坐标
 */
public class TextInLines {
    /**
     * 角度
     */
    private String angle;
    /**
     * 字符坐标
     */
    private List<List<Long>> charPos;
    /**
     * 页码
     */
    private Long page;
    /**
     * 坐标
     */
    private List<Long> pos;
    /**
     * 文本
     */
    private String text;

    public String getAngle() {
        return angle;
    }

    public void setAngle(String value) {
        this.angle = value;
    }

    public List<List<Long>> getCharPos() {
        return charPos;
    }

    public void setCharPos(List<List<Long>> value) {
        this.charPos = value;
    }

    public Long getPage() {
        return page;
    }

    public void setPage(Long value) {
        this.page = value;
    }

    public List<Long> getPos() {
        return pos;
    }

    public void setPos(List<Long> value) {
        this.pos = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String value) {
        this.text = value;
    }
}
